Getting Ready for EST - Event #336

AOA4ELTS Fifth Adaptive Optics for Extremely Large Telescopes Meeting

2017-03-24 11:31 - GREST EST

Status: Closed Start date: 2017-06-25

Priority: Normal Due date: 2017-06-30

Category:

Description

Related issues:

Copied from Getting Ready for EST - Event #335: EWASS 2018 Scheduled 2018-04-03 2018-04-06

History

#1 - 2017-03-24 11:31 - GREST EST
- Copied from Event #335: EWASS 2018 added

#2 - 2017-07-27 13:17 - GREST EST
- Status changed from Scheduled to Closed
